package cn.xfyun.example;

import cn.xfyun.example.dto.UploadResp;
import cn.xfyun.example.util.ChatDocUtil;

/**
 * Test
 * 详细接口文档请查看 <a href="https://chatdoc.xfyun.cn/docs">文档知识库API</a>
 *
 * @author ydwang16
 * @version 2023/09/06 13:59
 **/
public class Main {
    private static final String uploadUrl = "https://chatdoc.xfyun.cn/openapi/v1/file/upload";
    private static final String fileStatusUrl = "https://chatdoc.xfyun.cn/openapi/v1/file/status";
    private static final String chatUrl = "wss://chatdoc.xfyun.cn/openapi/chat";
    private static final String appId = "xxx";
    private static final String secret = "xxx";

    public static void main(String[] args) {
        ChatDocUtil chatDocUtil = new ChatDocUtil();
        // 1、上传
        UploadResp uploadResp = chatDocUtil.upload(Main.class.getResource("/").getPath() + "test.txt", uploadUrl, appId, secret);
        System.out.println("请求sid=" + uploadResp.getSid());
        System.out.println("文件id=" + uploadResp.getData().getFileId());

        // 2、问答，上传文件状态为vectored时才可以问答，文件状态可以调用【文档状态查询】接口查询
        String fileId = "xxx";
        String question = "故事一讲了什么内容";
        chatDocUtil.chat(chatUrl, fileId, question, appId, secret);
    }
}